Index: kernel/generic/include/errno.h
===================================================================
--- kernel/generic/include/errno.h	(revision 84947a4204153f28ccee81dcdc393446c79f3b9d)
+++ kernel/generic/include/errno.h	(revision 0eb58f17598f4b276ac9acad8b6698dd39710b1a)
@@ -38,5 +38,5 @@
 /* 1-255 are kernel error codes, 256-512 are user error codes */
 
-#define EOK			0	/* No error */
+#define EOK		0	/* No error */
 #define ENOENT		-1	/* No such entry */
 #define ENOMEM		-2	/* Not enough memory */
@@ -45,7 +45,8 @@
 #define EFORWARD	-5	/* Forward error */
 #define EPERM		-6	/* Permission denied */
-#define EHANGUP		-7	/* Answerbox closed connection, call sys_ipc_hangup
-				 * to close the connection. Used by answerbox
-				 * to close the connection.  */
+#define EHANGUP		-7	/* Answerbox closed connection, call
+				 * sys_ipc_hangup() to close the connection.
+				 * Used by answerbox to close the connection.
+				 */
 #define EEXISTS		-8	/* Entry already exists */
 #define EBADMEM		-9	/* Bad memory pointer */
Index: uspace/fb/ega.h
===================================================================
--- uspace/fb/ega.h	(revision 84947a4204153f28ccee81dcdc393446c79f3b9d)
+++ uspace/fb/ega.h	(revision 0eb58f17598f4b276ac9acad8b6698dd39710b1a)
@@ -35,8 +35,8 @@
  */
 
-#ifndef _EGA_H_
-#define _EGA_H_
+#ifndef FB_EGA_H_
+#define FB_EGA_H_
 
-int ega_init(void);
+extern int ega_init(void);
 
 #endif
Index: uspace/fb/fb.h
===================================================================
--- uspace/fb/fb.h	(revision 84947a4204153f28ccee81dcdc393446c79f3b9d)
+++ uspace/fb/fb.h	(revision 0eb58f17598f4b276ac9acad8b6698dd39710b1a)
@@ -34,10 +34,10 @@
  */
 
-#ifndef _FB_H_
-#define _FB_H_
+#ifndef FB_FB_H_
+#define FB_FB_H_
 
-typedef void (* putpixel_cb_t)(void *,unsigned int, unsigned int, int);
+typedef void (* putpixel_cb_t)(void *, unsigned int, unsigned int, int);
 
-int fb_init(void);
+extern int fb_init(void);
 
 #endif
@@ -45,3 +45,2 @@
 /** @}
  */
-
Index: uspace/fb/font-8x16.h
===================================================================
--- uspace/fb/font-8x16.h	(revision 84947a4204153f28ccee81dcdc393446c79f3b9d)
+++ uspace/fb/font-8x16.h	(revision 0eb58f17598f4b276ac9acad8b6698dd39710b1a)
@@ -27,8 +27,8 @@
  */
 
-#ifndef __FONT_8X16_H__
-#define __FONT_8X16_H__
+#ifndef FB_FONT_8X16_H_
+#define FB_FONT_8X16_H_
 
-#define FONT_GLIPHS		256
+#define FONT_GLIPHS	256
 #define FONT_SCANLINES	16
 
Index: uspace/fb/main.h
===================================================================
--- uspace/fb/main.h	(revision 84947a4204153f28ccee81dcdc393446c79f3b9d)
+++ uspace/fb/main.h	(revision 0eb58f17598f4b276ac9acad8b6698dd39710b1a)
@@ -27,8 +27,8 @@
  */
 
-#ifndef __MAIN_H_
-#define __MAIN_H_
+#ifndef FB_MAIN_H_
+#define FB_MAIN_H_
 
-void receive_comm_area(ipc_callid_t callid, ipc_call_t *call, void **area);
+extern void receive_comm_area(ipc_callid_t, ipc_call_t *, void **);
 
 #endif
Index: uspace/fb/ppm.h
===================================================================
--- uspace/fb/ppm.h	(revision 84947a4204153f28ccee81dcdc393446c79f3b9d)
+++ uspace/fb/ppm.h	(revision 0eb58f17598f4b276ac9acad8b6698dd39710b1a)
@@ -27,14 +27,12 @@
  */
 
-#ifndef _PPM_H_
-#define _PPM_H_
+#ifndef FB_PPM_H_
+#define FB_PPM_H_
 
 #include "fb.h"
 
-int ppm_draw(unsigned char *data, size_t datasz, unsigned int sx, 
-	     unsigned int sy, 
-	     unsigned int maxwidth, unsigned int maxheight,
-	     putpixel_cb_t fnc,void *);
-int ppm_get_data(unsigned char *data, size_t dtsz, unsigned int *width, unsigned int *height);
+extern int ppm_draw(unsigned char *, size_t, unsigned int, unsigned int, 
+    unsigned int, unsigned int, putpixel_cb_t, void *);
+extern int ppm_get_data(unsigned char *, size_t, unsigned int *, unsigned int *);
 
 #endif
Index: uspace/fb/sysio.h
===================================================================
--- uspace/fb/sysio.h	(revision 84947a4204153f28ccee81dcdc393446c79f3b9d)
+++ uspace/fb/sysio.h	(revision 0eb58f17598f4b276ac9acad8b6698dd39710b1a)
@@ -35,8 +35,8 @@
  */
 
-#ifndef _SYSIO_H_
-#define _SYSIO_H_
+#ifndef FB_SYSIO_H_
+#define FB_SYSIO_H_
 
-void sysio_init(void);
+extern void sysio_init(void);
 
 #endif
@@ -44,3 +44,2 @@
 /** @}
  */
-
Index: uspace/ns/ns.c
===================================================================
--- uspace/ns/ns.c	(revision 84947a4204153f28ccee81dcdc393446c79f3b9d)
+++ uspace/ns/ns.c	(revision 0eb58f17598f4b276ac9acad8b6698dd39710b1a)
@@ -56,5 +56,6 @@
 
 static int register_service(ipcarg_t service, ipcarg_t phone, ipc_call_t *call);
-static int connect_to_service(ipcarg_t service, ipc_call_t *call, ipc_callid_t callid);
+static int connect_to_service(ipcarg_t service, ipc_call_t *call,
+    ipc_callid_t callid);
 
 /* Static functions implementing NS hash table operations. */
@@ -84,5 +85,6 @@
 static void *klogaddr = NULL;
 
-static void get_as_area(ipc_callid_t callid, ipc_call_t *call, char *name, void **addr)
+static void get_as_area(ipc_callid_t callid, ipc_call_t *call, char *name,
+    void **addr)
 {
 	void *ph_addr;
@@ -107,5 +109,6 @@
 	ipcarg_t retval;
 
-	if (!hash_table_create(&ns_hash_table, NS_HASH_TABLE_CHAINS, 3, &ns_hash_table_ops)) {
+	if (!hash_table_create(&ns_hash_table, NS_HASH_TABLE_CHAINS, 3,
+	    &ns_hash_table_ops)) {
 		return ENOMEM;
 	}
@@ -135,5 +138,6 @@
 			 * Server requests service registration.
 			 */
-			retval = register_service(IPC_GET_ARG1(call), IPC_GET_ARG3(call), &call);
+			retval = register_service(IPC_GET_ARG1(call),
+			    IPC_GET_ARG3(call), &call);
 			break;
 		case IPC_M_CONNECT_ME_TO:
@@ -141,5 +145,6 @@
 			 * Client requests to be connected to a service.
 			 */
-			retval = connect_to_service(IPC_GET_ARG1(call), &call, callid);
+			retval = connect_to_service(IPC_GET_ARG1(call), &call,
+			    callid);
 			break;
 		default:
@@ -147,5 +152,5 @@
 			break;
 		}
-		if (! (callid & IPC_CALLID_NOTIFICATION)) {
+		if (!(callid & IPC_CALLID_NOTIFICATION)) {
 			ipc_answer_fast(callid, retval, 0, 0);
 		}
@@ -163,5 +168,9 @@
 int register_service(ipcarg_t service, ipcarg_t phone, ipc_call_t *call)
 {
-	unsigned long keys[3] = { service, call->in_phone_hash, 0 };
+	unsigned long keys[3] = {
+		service,
+		call->in_phone_hash,
+		0
+	};
 	hashed_service_t *hs;
 			
